package net.dabbit.servlet2;

import net.dabbit.entity.Cake;
import net.dabbit.entity.CakeDB;
import net.dabbit.configs.Config;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Collection;


@WebServlet(name = "ListCakeServlet",urlPatterns = "/ListCakeServlet")
public class ListCakeServlet extends HttpServlet {
    private static final long serialVersionUID = 1L;
    public void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.setContentType("text/html;charset=utf-8");//URL设置
        PrintWriter out = resp.getWriter(); // 输出流
        Collection<Cake> cakes = CakeDB.getAll(); // 获得所有的蛋糕
        out.write("给您提供的蛋糕有：<br>");


        Config cfg = new Config();

        //这里只列出当前的蛋糕数量，如果不经过购买，直接去显示购物车的话会导致没有session信息。防止没有session信息，这里直接新建一个。
        HttpSession http_session = req.getSession();


        for (Cake cake : cakes) {
            String url = cfg.getId("BUY_THE_CAKE")+"?id=" + cake.getId();
            out.write(cake.getName() + "<a href='" + url + "'>点击购买</a><br>");
        }


        String url = cfg.CART_OF_CAKE;
        out.write("<br>查看我的购物车:" + "<a href='./" + url + "'>查看我的购物车</a><br>");
    }
}

