<%--
  Created by IntelliJ IDEA.
  User: dayi
  Date: 2023/6/20
  Time: 23:18
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<!DOCTYPE html>
<html>
<!-- ver1.0 -->

<!-- 头标签 -->
<head>
  <title>注册用户</title>
  <!-- 标准缩放 -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <!-- 编码格式 -->
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
  <!-- 引用两个文件的css -->
  <link type="text/css" rel="stylesheet" href="css/bootstrap.css">
  <link type="text/css" rel="stylesheet" href="css/style.css">
</head>

<!-- 这里是html的内容 -->
<body>
<!-- 如果你有实时插件，ctrl+s可以实时预览 -->
<!-- 先写个头 -->
<!-- 因为头不是重点，所以你可以不写 -->
<!-- 定义header块 -->
<div>
  <jsp:include page="header.jsp"></jsp:include>
</div>
<!-- 这种/div是结束，类似于{}中的'}'-->

<!-- 然后写一个注册填充表 -->
<!-- 如果你有实时插件，ctrl+s可以实时预览 -->
<!-- 实际上这些div会导致css样式的套娃顺序 -->
<div class="container">
  <div class="register">
    <!-- 写一个表单，因为我们注册实际上是发送表单到服务器 -->
    <div class="form">
      <!-- 开始写表单 -->
      <!-- 这个表单会通过POST的方式直接发送给服务器路径为:user_register的文件 -->
      <form action="/user_register" method="post">
        <!--  -->
        <!-- 这个div的作用实际上是将这个框居中，引用了class="register-top-grid"的css样式，具体的样式你可以去看看源文件 -->
        <!-- 这样，我们的表单就可以居中了 -->
        <div class="register-top-grid">
          <h2> 新用户！</h2>
          <!-- 然后就是造表单了 -->
          <!-- 这里为了好看引用了css为input的样式 -->

          <div class="input">
            <!-- span的意思是提示和注释的意思 -->
            <!-- <font color="red">*</font>，变成红色的* -->
            <span>用户名 <font color="red">*</font> </span>

            <!-- 输入框 -->
            <!-- 这个name很重要，会传递到后端 -->
            <input type="text" name="username" placeholder="你要输入你想要的用户名！" required="required">
          </div>

          <!-- OK，这就是第一个框 -->
          <!-- 然后就可以复制粘贴了 -->

          <div class="input">
            <!-- span的意思是提示和注释的意思 -->
            <!-- <font color="red">*</font>，变成红色的* -->
            <span>邮箱 <font color="red">*</font> </span>

            <!-- 输入框 -->
            <!-- 这个name很重要，会传递到后端 -->
            <input type="text" name="email" placeholder="你要输入你想要的邮箱！" required="required">
          </div>

          <div class="input">
            <!-- span的意思是提示和注释的意思 -->
            <!-- <font color="red">*</font>，变成红色的* -->
            <span>密码 <font color="red">*</font> </span>

            <!-- 输入框 -->
            <!-- 这个name很重要，会传递到后端 -->
            <!-- 密码是password会自动隐藏 -->
            <input type="password" name="password" placeholder="你要输入你想要的密码！" required="required">
          </div>

          <!-- 后面的框为了排版,我省一点注释 -->


          <div class="input"> <span>收货人  </span>
            <!-- 收货人不是必须的,所以可以不用required -->
            <input type="text" name="name" placeholder="你要输入你想要的收货人！">
          </div>

          <div class="input"> <span>收货人电话</span>
            <input type="text" name="phone" placeholder="你要输入你想要的收货人电话！">
          </div>

          <div class="input"> <span>收货人地址</span>
            <input type="text" name="address" placeholder="你要输入你想要的收货人地址！">
          </div>

          <!-- clearfix 是一种CSS 技巧，可以在不添加新的html 标签的前提下，解决让父元素包含浮动的子元素的问题。 -->
          <!-- 清除之前的浮动关系，修复在firefox、chrome等标准浏览器中子元素全部浮动时，父元素不自动增高的问题。 -->
          <!-- 我也是第一次用 -->
          <div class="clearfix"> </div>

          <!-- 然后我们加个按钮 -->
          <!-- class就用他的啦 -->
          <div class="register-but text-center">
            <input type="submit" value="提交">
            <div class="clearfix"> </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>

<!-- OK，这样表单就写完了 -->

<!-- 这个东西叫做footer，也就是你平时看到页面最下面的东西 -->
<!--footer-->
<div>
  <jsp:include page="footer.jsp"></jsp:include>
</div>
<!--//footer-->
</body>
</html>