package net.dabbit.configs;

import java.util.LinkedHashMap;
import java.util.Map;

//维护 URL 的实际URL的对应关系。

//配置文件，方便对URL进行统一维护。
public class Config {
    private static Map<String,String> URLList = new LinkedHashMap<String, String>();
    public static String LIST_CAKE_URL = "ListCakeServlet";
    public static String LIST_THE_CAKE = LIST_CAKE_URL;
    public static String CART_OF_CAKE = "CartServlet";
    public static String BUY_THE_CAKE = "PurchaseServlet";
    static {
        URLList.put("LIST_CAKE_URL" ,LIST_CAKE_URL);
        URLList.put("LIST_THE_CAKE" ,LIST_CAKE_URL);
        URLList.put("CART_OF_CAKE" ,CART_OF_CAKE);
        URLList.put("BUY_THE_CAKE",BUY_THE_CAKE);
    }

    public String getId(String s){
        return URLList.get(s);
    }
}
