package net.dabbit.servlet2;

import net.dabbit.configs.Config;
import net.dabbit.entity.Cake;
import net.dabbit.entity.CakeCart;

import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;

@WebServlet(name = "CartServlet",urlPatterns="/CartServlet")
public class CartServlet extends HttpServlet {
    public void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.setContentType("text/html;charset=utf-8"); //chi修复
        PrintWriter out = resp.getWriter(); //获得输出流

        CakeCart cart = new CakeCart();//新建购物车

        HttpSession session = req.getSession(false);

        if(session==null){
            out.println("没有找到session信息，您可能没有访问过网站，也没有购买过蛋糕，是不是呀大黑阔<br>");
            return;
        }

        cart = (CakeCart) session.getAttribute("shopping_cart");//获得cart属性

        if(cart==null){
            out.println("您购物车好像是空哒嘎嘎嘎<br>");
            return;
        }

        out.println("OK,这是您购物车里的吃的:<br>");


        //枚举购物车里的吃的
        for (Cake c:cart.get_cart()) out.println(c.getName() + "<br>");



        //打印购买列表的表。
        Config cfg = new Config();
        String url = cfg.getId("LIST_CAKE_URL");
        out.write("<br>返回购买列表:" + "<a href='./" + url + "'>返回购买列表</a><br>");


    }
}
